body{
    
    font-family: 'Public Sans', sans-serif;
}
.nav{
    padding: 2em 5em 2em 5em;
display: flex;
align-items: center;
justify-content: space-around;
}

#nav-mobile{
    visibility: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    font-weight: 300;
    width: 75vw;
    left:50%;
    margin-top: 15px;
    padding: 20px;
    border-radius: 5px;
    background-color: white;
    position: absolute;
    z-index: 1;
    transform: translateX(-50%);
}

#nav-mobile a{
    text-decoration: none;
    color: rgb(56, 56, 56);
    margin: 10px;
}

.logo img{
    background: no-repeat;
}

.menu{
    flex-grow: 2;
    display: flex;
    justify-content: end;
}

.menu .menu-option{
    margin-left:auto;
    
}
.nav-link{
    text-decoration: none;
    color: black;
}

.nav-link:hover{
    color: hsl(136, 65%, 51%);
}

.button{
    padding-left: 2em;
}

.hamburger, .close{
        visibility: hidden;
}

.close img{
    height: 20px;
    margin-top: -12px;
    position: absolute;
    right: 25px;
}

.close{
    visibility: hidden;  
    outline: none;
    border: none;
    background: none; 
   }
.invite-button{
    border-radius: 15px;
    padding: 1em 2.5em 1em 2.5em;
    border: none;
    background-image: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
}

/* banner */
.banner{
    display: flex;
    justify-content: space-between;
}

.left-text{
    flex-grow: 1;
    align-self: center;
    max-width: 25em;
    margin-left: 4em;
}

.left-text h1{
    font-size: 3em;
    margin-bottom: 0.5em;
}

.left-text p{
    line-height: 2em;
    margin-bottom: 2em;

}



.right-img{
    /* flex-grow: 1; */
    background:left no-repeat url(../images/bg-intro-desktop.svg);
    
}
.right-img img{
    margin-right: auto;
}

/* services */

.services{
    margin-top: -8em;
    background-color: hsl(220, 16%, 96%);
    padding:5em;
}
.services h1{
    font-size: 2em;
    margin-bottom: 0.5em;
}
 .services p{
    line-height: 2em;
    max-width: 38em;
 }

 .service-spec{
     margin-top: 3em;
     display: flex;
     flex-wrap: wrap;
     justify-content: space-between;
 }

 .sub-service img{
     margin-bottom: 2em;
 }

 .sub-service h2{
     font-size: 1.5em;
     margin-bottom: 0.5em;
 }

 .sub-service p{
     max-width: 16em;
 }

 /* latest articles */
.articles{
    padding: 4em;
}
.articles h2{
    font-size: 2em;
    margin-bottom: 0.5em;
    margin-left: 0.5em;
}
.article-item{
    margin: 1em;
}

.article-list{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.author{
    font-size: 0.75em;
    margin-bottom: 1em;
}
.article-heading{
    font-size: 1.25em;
    max-width: 14em;
    margin-bottom: 1em;
}

.article-detail{
    max-width: 15em;
    /* min-width: 10em; */
    margin-bottom: .75em;
}
.article-heading:hover{
    color: hsl(136, 65%, 51%);
}
.article-item img{
    /* max-width: 22em; */
    /* min-height: 17em; */
    margin-bottom: 1em;
    width: 20rem;
    height: 15em;
}

/* footer */

.footer{
    display: flex;
    justify-content: space-around;
    background-color:hsl(233, 26%, 24%);
    color: hsl(0, 0%, 100%);
    padding: 2em 3em 2em 3em;
}

.footer-logo{
    padding: 1em;
}

.social-media{
    padding: 1em;
}
.social-media img{
    margin-right: 1em;
}

.footer-item a{
    margin-bottom: 1em;
    text-decoration: none;
    color: hsl(0, 0%, 100%);
    display: flex;
    flex-direction: column;
    text-align: center;
}

.footer-item a:hover{
    color: hsl(192, 70%, 51%);
}


.footer-item button{
    margin-bottom: 1em;
}


/* media queries */

@media (max-width: 835px){
    .services{
        margin-top: 0px;
    }

        /* Articles */

        .articles {
            padding: 1em;
        }
        .articles h2{
            text-align: center;
            margin-left: 0;
        }
    
        .article-list{
            flex-direction: column;
            align-items: center;
        }
    
        .article-item img {
            width: 80vw;
            margin-bottom: 1em;
        }
        .author{
            padding: 0em 2em 0em 1.25em;
        }
    
        .article-heading{
            max-width: fit-content;
            padding: 0em .75em 0em .75em;
        }
     .article-detail{
            max-width: fit-content;
            
            padding: 0em 1em 0em 1em;
        }
    
}

@media (max-width: 765px){
    /* navbar */
    .menu, .nav .button{
        visibility: hidden;
        overflow: hidden;
    }
    .nav{
        padding: 1em;
    }

    .hamburger img {
        height: 20px;
        margin-top: -12px;
    position: absolute;
    right: 25px;
    }
    .button{
        display: flex;
    align-items: center;
    }

    .logo img{
        min-width: 9em;
        min-height: 2em;
    }
    .hamburger{
        visibility: visible;
        outline: none;
        border: none;
        background: none;
    }

    .banner{
        flex-direction: column;
    }

    .right-img{
        order:-1;
    }

    .left-text{
        
        margin-left: 0em;
        padding: 3em 1em 3em 1em;
        flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    align-items: center;
    max-width: 25em;
    }


    /* services */
    .services{
        text-align: center;
        margin-top: 0em;
    }

    .service-spec{
        flex-direction: column;
    }
    .sub-service{
        margin-bottom: 2em;
    }
    .sub-service p{
        max-width: fit-content;
    }

    /* Articles */

    .articles {
        padding: 1em;
    }
    .articles h2{
        text-align: center;
        margin-left: 0;
    }

    .article-list{
        flex-direction: column;
        align-items: center;
    }

    .article-item img {
        width: 80vw;
        margin-bottom: 1em;
    }
    .author{
        padding: 0em 2em 0em 1.25em;
    }

    .article-heading{
        max-width: fit-content;
        padding: 0em .75em 0em .75em;
    }
 .article-detail{
        max-width: fit-content;
        
        padding: 0em 1em 0em 1em;
    }

    /* footer */
    .footer{
        flex-direction: column;
        align-items: center;
    }
    .footer-item{
        justify-content: center;
    }
    .footer-item p {
        margin-bottom: 1em;
        text-align: center;
    }

    .footer-item button{
        position: absolute;
        left: 0px;
        right: 0px;
        margin: auto;
    }

    #copyright{
        visibility: hidden;
    }
}